
<ion-header>
  <ion-toolbar>
    <ion-title>Ticket</ion-title>
    <ion-buttons slot="end">
      <ion-button color="primary" expand="full"><ion-icon name="options"></ion-icon></ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen="true">
  <ion-list style="height: 90%;overflow-y: scroll;">

<ion-item lines="none">
  <div class="litros-label">
    <ion-label  *ngIf="pedido.fuel._id === '634d8512d2699c7099987a61'" style="background:var(--ion-color-carga-regular); color:white; font-size:100px !important;" class="big-label ion-padding">
      {{pedido.liters}} L
    </ion-label>
    <ion-label *ngIf="pedido.fuel._id  === '634d8512d2699c7099987a62'" style="background:var(--ion-color-carga-premium); color:white; font-size:100px !important;" class="big-label ion-padding">
      {{pedido.liters}} L
    </ion-label>
    <ion-label *ngIf="pedido.fuel._id  === '634d8512d2699c7099987a63'" style="background:var(--ion-color-carga-diesel); color:white; font-size:100px !important;" class="big-label ion-padding">
      {{pedido.liters}} L
    </ion-label>
  </div>
</ion-item>

<ion-item lines="none">
  <ion-img [src]="qr" style="width:100%"></ion-img>
</ion-item>

<ion-item lines="none">
  <ion-icon name="car-sport"></ion-icon>
  <ion-label> ID </ion-label>
  <ion-label slot="end">{{pedido.car_id}}</ion-label>
</ion-item>

<ion-item lines="none">
  <div style="
    display: flex;
    flex-direction: column  ;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: stretch;
    width:100%">
    <ion-button (click)="openNavigation()" color="dark" expand="block" style="height:auto" class="ion-padding">
      <ion-icon name="navigate-outline"></ion-icon>
      <label color="white">Ir a la estación</label>
    </ion-button>
  </div>
</ion-item>
</ion-list>

</ion-content>
